Diligent Engine API Reference: Diligent::IPipelineStateD3D12 Class Reference

Diligent Engine API Reference

Public Member Functions | List of all members
Diligent::IPipelineStateD3D12 Class Referenceabstract

Interface to the blend state object implemented in D3D12. More...

Inheritance diagram for Diligent::IPipelineStateD3D12:

## Public Member Functions
virtual ID3D12PipelineState * | GetD3D12PipelineState () const =0
| Returns ID3D12PipelineState interface of the internal D3D12 pipeline state object object. More...
virtual ID3D12RootSignature * | GetD3D12RootSignature () const =0
| Returns a pointer to the root signature object associated with this pipeline state. More...
Public Member Functions inherited from Diligent::IPipelineState
virtual void | QueryInterface (const INTERFACE_ID &IID, IObject **ppInterface)=0
| Queries the specific interface, see IObject::QueryInterface() for details.
virtual const PipelineStateDesc & | GetDesc () const =0
| Returns the blend state description used to create the object.
virtual void | BindShaderResources (IResourceMapping *pResourceMapping, Uint32 Flags)=0
| Binds resources for all shaders in the pipeline state. More...
virtual void | CreateShaderResourceBinding (IShaderResourceBinding **ppShaderResourceBinding)=0
| Creates a shader resource binding object. More...

## Detailed Description

Interface to the blend state object implemented in D3D12.

## Member Function Documentation

## ◆ GetD3D12PipelineState()

virtual ID3D12PipelineState* Diligent::IPipelineStateD3D12::GetD3D12PipelineState | ( |  | ) | const
| pure virtual

Returns ID3D12PipelineState interface of the internal D3D12 pipeline state object object.

The method does NOT call AddRef() on the returned interface, so Release() must not be called.

Implemented in Diligent::PipelineStateD3D12Impl.

## ◆ GetD3D12RootSignature()

virtual ID3D12RootSignature* Diligent::IPipelineStateD3D12::GetD3D12RootSignature | ( |  | ) | const
| pure virtual

Returns a pointer to the root signature object associated with this pipeline state.

The method does NOT call AddRef() on the returned interface, so Release() must not be called.

Implemented in Diligent::PipelineStateD3D12Impl.